org.keycloak.protocol.oidc

## Class OIDCLoginProtocolService

- java.lang.Object
- - org.keycloak.protocol.oidc.OIDCLoginProtocolService

-     public class OIDCLoginProtocolService
      extends Object

  Resource class for the oauth/openid connect token service
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OIDCLoginProtocolService(RealmModel realm, EventBuilder event)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `auth()` Authorization endpoint
    `static javax.ws.rs.core.UriBuilder` | `authUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`
    `static javax.ws.rs.core.UriBuilder` | `authUrl(javax.ws.rs.core.UriInfo uriInfo)`
    `javax.ws.rs.core.Response` | `certs()`
    `static javax.ws.rs.core.UriBuilder` | `certsUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`
    `static javax.ws.rs.core.UriBuilder` | `delegatedUrl(javax.ws.rs.core.UriInfo uriInfo)`
    `Object` | `forgotCredentialsPage()` Forgot-Credentials endpoint
    `Object` | `getLoginStatusIframe()`
    `javax.ws.rs.core.Response` | `getVersionPreflight()`
    `javax.ws.rs.core.Response` | `installedAppUrnCallback(String code, String error, String errorDescription)`
    `Object` | `issueUserInfo()`
    `javax.ws.rs.core.Response` | `kcinitBrowserLoginComplete(boolean error)` For KeycloakInstalled and kcinit login where command line login is delegated to a browser.
    `Object` | `logout()`
    `static javax.ws.rs.core.UriBuilder` | `logoutUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`
    `static javax.ws.rs.core.UriBuilder` | `logoutUrl(javax.ws.rs.core.UriInfo uriInfo)`
    `Object` | `registerPage()` Registration endpoint
    `Object` | `resolveExtension(String extension)`
    `Object` | `revoke()`
    `Object` | `thirdPartyCookiesCheck()`
    `Object` | `token()` Token endpoint
    `static javax.ws.rs.core.UriBuilder` | `tokenIntrospectionUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`
    `static javax.ws.rs.core.UriBuilder` | `tokenRevocationUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`
    `static javax.ws.rs.core.UriBuilder` | `tokenServiceBaseUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`
    `static javax.ws.rs.core.UriBuilder` | `tokenServiceBaseUrl(javax.ws.rs.core.UriInfo uriInfo)`
    `static javax.ws.rs.core.UriBuilder` | `tokenUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`
    `static javax.ws.rs.core.UriBuilder` | `userInfoUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OIDCLoginProtocolService

          public OIDCLoginProtocolService(RealmModel realm,
                                          EventBuilder event)

  - ### Method Detail

    - #### tokenServiceBaseUrl

          public static javax.ws.rs.core.UriBuilder tokenServiceBaseUrl(javax.ws.rs.core.UriInfo uriInfo)

    - #### tokenServiceBaseUrl

          public static javax.ws.rs.core.UriBuilder tokenServiceBaseUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### authUrl

          public static javax.ws.rs.core.UriBuilder authUrl(javax.ws.rs.core.UriInfo uriInfo)

    - #### authUrl

          public static javax.ws.rs.core.UriBuilder authUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### delegatedUrl

          public static javax.ws.rs.core.UriBuilder delegatedUrl(javax.ws.rs.core.UriInfo uriInfo)

    - #### tokenUrl

          public static javax.ws.rs.core.UriBuilder tokenUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### certsUrl

          public static javax.ws.rs.core.UriBuilder certsUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### userInfoUrl

          public static javax.ws.rs.core.UriBuilder userInfoUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### tokenIntrospectionUrl

          public static javax.ws.rs.core.UriBuilder tokenIntrospectionUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### logoutUrl

          public static javax.ws.rs.core.UriBuilder logoutUrl(javax.ws.rs.core.UriInfo uriInfo)

    - #### logoutUrl

          public static javax.ws.rs.core.UriBuilder logoutUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### tokenRevocationUrl

          public static javax.ws.rs.core.UriBuilder tokenRevocationUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### auth

          @Path(value="auth")
          public Object auth()

      Authorization endpoint

    - #### registerPage

          @Path(value="registrations")
          public Object registerPage()

      Registration endpoint

    - #### forgotCredentialsPage

          @Path(value="forgot-credentials")
          public Object forgotCredentialsPage()

      Forgot-Credentials endpoint

    - #### token

          @Path(value="token")
          public Object token()

      Token endpoint

    - #### getLoginStatusIframe

          @Path(value="login-status-iframe.html")
          public Object getLoginStatusIframe()

    - #### thirdPartyCookiesCheck

          @Path(value="3p-cookies")
          public Object thirdPartyCookiesCheck()

    - #### getVersionPreflight

          @OPTIONS
           @Path(value="certs")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response getVersionPreflight()

    - #### certs

          @GET
           @Path(value="certs")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response certs()

    - #### issueUserInfo

          @Path(value="userinfo")
          public Object issueUserInfo()

    - #### logout

          @Path(value="logout")
          public Object logout()

    - #### revoke

          @Path(value="revoke")
          public Object revoke()

    - #### installedAppUrnCallback

          @Path(value="oauth/oob")
           @GET
          public javax.ws.rs.core.Response installedAppUrnCallback(@QueryParam(value="code")
                                                                                                  String code,
                                                                                                  @QueryParam(value="error")
                                                                                                  String error,
                                                                                                  @QueryParam(value="error_description")
                                                                                                  String errorDescription)

    - #### kcinitBrowserLoginComplete

          @GET
           @Path(value="delegated")
          public javax.ws.rs.core.Response kcinitBrowserLoginComplete(@QueryParam(value="error")
                                                                                                     boolean error)

      For KeycloakInstalled and kcinit login where command line login is delegated to a browser. This clears login cookies and outputs login success or failure messages.
      Parameters:
        `error` -
      Returns:

    - #### resolveExtension

          @Path(value="ext/{extension}")
          public Object resolveExtension(@PathParam(value="extension")
                                                                        String extension)

Copyright © 2021 JBoss by Red Hat. All rights reserved.